Subject: bug#48374: closed (Re: bug#48374: Found a bug, apparently.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Jul 2021 16:39:03 +0000

Your bug report

#48374: Found a bug, apparently.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48374: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48374
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48374: Found a bug, apparently.
From: zimoun <[email-masked]>
To: Merazi <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Fri, 02 Jul 2021 18:37:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sat, 15 May 2021 at 00:13, Merazi <[email-masked]> wrote:
> May 13, 2021, 15:56 by [email-masked]:

[...]

>> This could indicate a poorly handled transient networking error.
>> Does the problem persist if you try again?

> I think this is just a network issue, I'll try again later. Thanks again!

So closing! :-)

Thanks,
simon

Subject: Found a bug, apparently.
From: Merazi <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 05:24:04 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!,

So I did a guix pull, and I got a message asking me to upload the bug report, so here I am.
The message is as follows:
merazi@guix~$ guix pull
Updating channel 'nonguix' from Git repository at 'https://gitlab.com/nonguix/nonguix'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to b7cbca2 (95 new commits)...
Building from these channels:
  guix      https://git.savannah.gnu.org/git/guix.git b7cbca2
  nonguix   https://gitlab.com/nonguix/nonguix 95c8e6e
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building /gnu/store/23bwjp2sb8bxhwm08mmsvchjw4kk40a3-module-import.drv...
building /gnu/store/d2mxbqyyazv7y6v74nx9rv3cdmlk9h4m-module-import.drv...
building /gnu/store/m4km1wc3a2ihy949rm6kr37r6sm8782p-module-import-compiled.drv...
building /gnu/store/dmxi573n198radcgv08km8cm14q4a0nz-module-import-compiled.drv...
building /gnu/store/808h6rppqfi9ckfva3jzawka5svw0026-compute-guix-derivation.drv...
Computing Guix derivation for 'x86_64-linux'... -Backtrace:
          13 (primitive-load "/gnu/store/kk145kjq49xmwhdasmh7ah95a3r2ws7r-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 12 (_ _)
    159:9 11 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 10 (with-fluid* _ _ _)
    152:2  9 (with-fluid* _ _ _)
In ./guix/store.scm:
  2076:24  8 (run-with-store #<store-connection 256.99 7fd1e8da43c0> _ #:guile-for-build _ #:system _ #:target _)
   1910:8  7 (_ _)
In ./guix/gexp.scm:
   256:18  6 (_ _)
   1137:2  5 (_ _)
   1003:2  4 (_ _)
    849:4  3 (_ _)
In ./guix/store.scm:
  1958:12  2 (_ #<store-connection 256.99 7fd1e8da43c0>)
   1372:5  1 (map/accumulate-builds #<store-connection 256.99 7fd1e8da43c0> _ _)
  1383:15  0 (_ #<store-connection 256.99 7fd1e8da43c0> _ _)

./guix/store.scm:1383:15: ERROR:
  1. &store-protocol-error:
      message: "`/gnu/store/jbm45plkq6fc9ypb05lm3jp6c5v6jvfn-guix-1.2.0-21.4dff6ec/bin/guix substitute' died unexpectedly"
      status: 1
guix pull: error: You found a bug: the program '/gnu/store/kk145kjq49xmwhdasmh7ah95a3r2ws7r-compute-guix-derivation'
failed to compute the derivation for Guix (version: "b7cbca221f74e9e9ef43c228dca9fa9930babec5"; system: "x86_64-linux";
host version: "1.2.0-21.4dff6ec"; pull-version: 1).
Please report it by email to <[email-masked]>.

--
Merazi